projects.show
GET
/projects/{projectId}
const url = 'https://example.com/api/projects/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/projects/exampleRead, rename, and archive projects. Public docs: /docs/resources/projects/#project-lifecycle
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
id
required
string
name
required
string
slug
required
string
description
string
lifecycleStatus
required
string
archivedAt
string
archiveReason
string
createdAt
required
string
Example
{ "lifecycleStatus": "active"}